<template>
    <Page class="page" actionBarHidden="true">
        <GridLayout rows="3*, 1*">
            <FlexboxLayout
                row="0"
                backgroundColor="#1a1a1a"
                justifyContent="center"
                >
                <Image class="logo" src="~/assets/images/logo.png" stretch="aspectFit"></Image>
            </FlexboxLayout>
            <!-- <Label 
                
                text="0,1" 
                backgroundColor="#1a1a1a"/> -->
            <GridLayout row="1" columns="*,*">
                <FlexboxLayout 
                    col="0"
                    flexDirection="column-reverse" 
                    justifyContent="space-around">
                    <Button 
                        text="Sing In" 
                        alignSelf="center" 
                        class="btn"
                        @tap="goSingIn"/>
                </FlexboxLayout>
                <FlexboxLayout 
                    col="1"
                    flexDirection="column-reverse" 
                    justifyContent="space-around">
                    <Button 
                        text="Sing Up" 
                        alignSelf="center" 
                        class="btn"
                        @tap="goSingUp"/>
                </FlexboxLayout>
            </GridLayout>
        </GridLayout>
    </Page>
</template>
<script>
import Home from './Home'
    export default {
        computed: {
            message() {
                return "Te Amo Gisel Marie";
            }
        },
        methods: {
            goSingIn () {
                this.$navigateTo(Home)
            },
            goSingUp () {

            },
        }
    };
</script>

<style scoped lang="scss">
    // Start custom common variables
    @import '../app-variables';
    // End custom common variables
    .logo {
        margin: 0 auto;
        width: 75%;
    }
    .page {
        background: #ffffff;
    }
    // Custom styles
    .fa {
        color: $error-dark;
    }

    .info {
        font-size: 20;
    }
    .btn{
        color: #1a1a1a;
        width: 80%;
        vertical-align: center;
    }
</style>
